R6400V2 - loading initial rom "Not compatible" error?

5 posts / 0 new
Last post
bigjohn
bigjohn's picture
R6400V2 - loading initial rom "Not compatible" error?

That's probably a good summary, right?

picked up an R6400v2 last night.

Powered it up today.

Downloaded tomato (init and AIO) from AdvancedTomato (Shibby site is down!?)

Trying to upgrade with the initial rom yields an error "this firmware is not compatible with your router".

HELP?

cesco_83
cesco_83's picture
I have the same issue too!

I have the same issue too!

Tried with versions 1.37 and 1.40 either...

I have the same r6400v2 router

r2096658@mvrht.net
r2096658@mvrht.net's picture
v2 has a BCM4708C0 while the

v2 has a BCM4708C0 while the v1 has a BCM4708C0 

Adding support for it shouldn't be too hard but as far as I know there's only a ddwrt build for the v2 and no tomato builds for it yet. 

r2096658@mvrht.net
r2096658@mvrht.net's picture
Er, v1 has a BCM4708A0

Er, v1 has a BCM4708A0

TXUSA
TXUSA's picture
The “not compatible” message

The “not compatible” message points to a mismatch between the board ID of your router and the ID embedded in the firmware you’re trying to flash. If they aren’t the same then the firmware will be rejected as incompatible. In the case of the 6400v2 firmware developers probably looked at the ID that Netgear used in their own firmware on their website instead of pulling the ID from the router itself. Kind of like taking a shortcut. The problem is: The firmware that Netgear posted on their own website also has the wrong board ID embedded. I am addressing this issue with Netgear support right now.